ldconfig(8)

NOM
ldconfig - Configuration de l'éditeur de liens dynamiques

SYNOPSIS
/sbin/ldconfig [-nNvVX] [-C cache] [-f configuration] [-r racine] répertoire ...
/sbin/ldconfig -l [-v] bibliothèque ...
/sbin/ldconfig -p

DESCRIPTION
ldconfig crée les liens nécessaires et met en cache les bibliothèques partagées les plus récentes trouvées dans les répertoires indiqués sur la ligne de commande, dans le fichier /etc/ld.so.conf et dans les répertoires sûrs /lib et /usr/lib. Sur certaines architectures 64 bits telle x86-64, /lib et /usr/lib sont des répertoires sûrs pour les bibliothèques 32 bits, tandis que /lib64 et /usr/lib64 sont utilisés pour les bibliothèques 64 bits.

Le cache est utilisé par l’éditeur de liens, ld.so ou ld-linux.so. ldconfig vérifie les en-têtes et les noms de fichier des bibliothèques qu'il trouve lors de la détermination des versions devant mettre à jour leurs liens. ldconfig devrait normalement être exécuté par le superutilisateur, car la permission d’écriture pourrait être nécessaire pour certains répertoires ou fichiers dont le superutilisateur est propriétaire.

ldconfig ne recherchera que les fichiers dénommés lib*.so* (pour les objets partagés normaux) ou ld-*.so* (pour l’éditeur dynamique lui-même). Les autres fichiers seront ignorés. Aussi, ldconfig s’attend à un certain modèle de configuration de liens symboliques, tel que cet exemple où le fichier central (libtoto.so.1 ici) est le SONAME de la bibliothèque :

    libtoto.so -> libtoto.so.1 -> libtoto.so.1.12

Un manquement dans le suivi de ce modèle peut aboutir à des problèmes de compatibilité après une mise à niveau.

OPTIONS

--format=fmt
-c fmt
    Depuis la glibc 2.2, le format de cache fmt à utiliser est old, new ou compat. Depuis la glibc 2.32, la valeur par défaut est new. Avant cela, c’était compat.

-C cache
    Utiliser le cache indiqué plutôt que /etc/ld.so.cache.

-f configuration
    Utiliser le fichier configuration indiqué plutôt que /etc/ld.so.conf.

--ignore-aux-cache
-i
    Depuis la glibc 2.7, ignorer le fichier auxiliaire de cache.

-l  Depuis la glibc 2.2, interpréter chaque opérande comme un nom de bibliothèque et configurer ses liens. Réservé aux experts uniquement.

-n  Ne traiter que les répertoires indiqués sur la ligne de commande. Ne pas s'occuper des répertoires sûrs ni de ceux indiqués dans /etc/ld.so.conf. Implique l'option -N.

-N  Ne pas reconstruire le cache. Si l'option -X n'est pas indiquée, les liens sont quand même mis à jour.

--print-cache
-p
    Afficher les listes des répertoires et des bibliothèques potentielles enregistrées dans le cache actuel.

-r racine
    Se déplacer dans le répertoire racine indiqué et l’utiliser.

--verbose
-v
    Mode détaillé. Afficher le numéro de version actuelle, le nom de chaque répertoire au fur et à mesure du parcours, et les liens qui sont créés. Peut surcharger le mode silencieux.

--version
-V
    Afficher la version du programme.

-X  Ne pas mettre à jour les liens. Si l'option -N n'est pas indiquée, le cache est quand même reconstruit.

FICHIERS
/lib/ld.so
    est l’éditeur de liens/chargeur.
/etc/ld.so.conf
    contient une liste de répertoires, un par ligne, où chercher les bibliothèques.
/etc/ld.so.cache
    contient une liste ordonnée des bibliothèques trouvées dans les répertoires indiqués dans /etc/ld.so.conf, ainsi que celles trouvées dans les répertoires sûrs.

VOIR AUSSI
ldd(1), ld.so(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <https://www.blaess.fr/christophe/>, Stéphan Rafin <stephan.rafin@laposte.net>, Thierry Vignaud <tvignaud@mandriva.com>, François Micaux, Alain Portal <aportal@univ-montp2.fr>, Jean-Philippe Guérard <fevrier@tigreraye.org>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Thomas Huriaux <thomas.huriaux@gmail.com>, Nicolas François <nicolas.francois@centraliens.net>, Florentin Duneau <fduneau@gmail.com>, Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Denis Barbier <barbier@debian.org>, David Prévot <david@tilapin.org> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.